Bug 1018443 - SELinux is preventing /usr/sbin/glusterfsd from using the 'kill' capabilities.
SELinux is preventing /usr/sbin/glusterfsd from using the 'kill' capabilities.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:8001b19c7df01d1cda57f998f89...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-12 00:06 EDT by Eric Blake
Modified: 2013-10-22 01:05 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-74.10.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-22 01:05:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Blake 2013-10-12 00:06:21 EDT
Description of problem:
Experimenting with gluster; I had just created a 1-brick volume on the local host and started it when I got the AVC.
SELinux is preventing /usr/sbin/glusterfsd from using the 'kill' capabilities.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that glusterfsd should have the kill capability by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep glusterfs /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:glusterd_t:s0
Target Context                system_u:system_r:glusterd_t:s0
Target Objects                 [ capability ]
Source                        glusterfs
Source Path                   /usr/sbin/glusterfsd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           glusterfs-3.4.1-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.8.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.7-200.fc19.x86_64 #1 SMP Thu
                              Aug 15 23:19:45 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-10-11 22:03:59 MDT
Last Seen                     2013-10-11 22:03:59 MDT
Local ID                      1ffa1e1b-02df-4d64-9eb1-2407be5a1f06

Raw Audit Messages
type=AVC msg=audit(1381550639.607:937): avc:  denied  { kill } for  pid=21122 comm="glusterfs" capability=5  scontext=system_u:system_r:glusterd_t:s0 tcontext=system_u:system_r:glusterd_t:s0 tclass=capability


type=SYSCALL msg=audit(1381550639.607:937): arch=x86_64 syscall=kill success=no exit=EPERM a0=543 a1=9 a2=0 a3=543 items=0 ppid=21121 pid=21122 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=glusterfs exe=/usr/sbin/glusterfsd subj=system_u:system_r:glusterd_t:s0 key=(null)

Hash: glusterfs,glusterd_t,glusterd_t,capability,kill

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.10.7-200.fc19.x86_64
type:           libreport
Comment 1 Lukas Vrabec 2013-10-14 07:35:40 EDT
commit 776e1ab199cd94dee3b1ac8484f9ef7006a3b050
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Mon Oct 14 13:34:26 2013 +0200

    Add kill capability in glusterfs policy
Comment 2 Fedora Update System 2013-10-15 12:03:07 EDT
selinux-policy-3.12.1-74.10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-74.10.fc19
Comment 3 Fedora Update System 2013-10-18 16:02:45 EDT
Package selinux-policy-3.12.1-74.10.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-74.10.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19368/selinux-policy-3.12.1-74.10.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-22 01:05:09 EDT
selinux-policy-3.12.1-74.10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.